Subject: bug#64819: 30.0.50; condition-wait not interruptible

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Jul 2023 15:10:24 +0300

> From: Helmut Eller <[email-masked]>
> Date: Mon, 24 Jul 2023 08:32:04 +0200
> 
> When Emacs is blocked in condition-wait, then C-g doesn't seem to work.
> E.g. Emacs hangs and pressing C-g has no apparent effect when executing
> the attached file with:
> 
>   emacs -Q -l deadlock.el -f deadlock
> 
> Mabye sys_cond_wait could call pthread_cond_timedwait with a fairly long
> timeout, say one second, and repeatedly check if C-g was pressed.

How will we know what to do with C-g if some thread runs Lisp, while
one or more other threads are stuck in condition-wait? wouldn't you
expect in this case to have C-g go to the running thread?